/*
 * Class LINEAR [BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_361 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_361 [] = {0xFF01,237,360,191,0xFFFF};
static const EIF_TYPE_INDEX egt_2_361 [] = {0xFF01,360,191,0xFFFF};
static const EIF_TYPE_INDEX egt_3_361 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_361 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_361 [] = {0xFF01,360,191,0xFFFF};
static const EIF_TYPE_INDEX egt_6_361 [] = {0xFF01,360,191,0xFFFF};
static const EIF_TYPE_INDEX egt_7_361 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_361 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_361 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_361 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_361 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_361 [] = {360,191,0xFFFF};
static const EIF_TYPE_INDEX egt_13_361 [] = {0xFF01,360,191,0xFFFF};
static const EIF_TYPE_INDEX egt_14_361 [] = {0xFF01,360,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_361 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_361 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_361 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_361[] = {
	{EIF_GENERIC(NULL), 2311, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_361), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_361), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_361), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_361), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_361), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_361), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_361), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_361), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_361), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_361), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_361), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_361), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_361), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_361), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2299, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1861, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1862, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1863, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1864, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_361), 2310, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_361), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2300, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2301, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2302, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_361), 2303, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2304, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_361), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2305, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2306, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2307, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2308, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2309, 0xFFFFFFFF},
};
void Init361(void)
{
	IDSC(desc_361, 0, 360);
	IDSC(desc_361 + 1, 1, 360);
	IDSC(desc_361 + 32, 77, 360);
	IDSC(desc_361 + 41, 155, 360);
	IDSC(desc_361 + 50, 30, 360);
}


#ifdef __cplusplus
}
#endif
